<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body onload="checkCookie()">
    <script>
    // hàm thiết lập cookie
    function setCookie(cname, cvalue, exday){
        var d =new Date()
        de.setTime(d.getTime()+ (exdays*24*60*60*1000))
        var expires = 'expirs='+d.toUTCString();
        document.cookie = cname + "=" + cvalue +";"+ expires
    }
    // hàm lây coodkie
    function getCookie(cname){
       
        var ca= document.cookie.split(";")
        for(var i=0; i<ca.length;i++){
            var c= ca[i];
            while(c.charAt(0)=='') c = c.substring(1)
            if(c.indexOf(name)==0) return c.substring(name.length, c.length)

        }
        return "";
    }

    function checkCookie(){
        var user= getCookie('username');
        if(user!= ""){
            alert("Webcome again "+ user)
        }else{
            user=prompt("please enter your name:","")
            if(user!="" && user!= null){
                setCookie("usernam", user,30);
            }
        }
    }
    </script>
</body>
</html>